name: wallpaperx
description: "A new Flutter project."
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.3+3

environment:
  sdk: '>=3.4.3 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.6

  # 状态管理、路由、依赖注入
  get: ^4.6.6

  # 网络库
  dio: ^5.4.3+1
  pretty_dio_logger: ^1.3.1

  # 屏幕和字体大小适配
  flutter_screenutil: ^5.9.0

  # 显示网络图像并将它们保存在缓存目录中
  cached_network_image: ^3.3.1

  # 加载、进度、提示框
  flutter_easyloading: ^3.0.5

  # 日志打印
  logger: ^2.3.0

  # 网格布局的集合（瀑布流）
  flutter_staggered_grid_view: ^0.7.0

  # 查找文件系统上的常用位置
  path_provider: ^2.1.3

  # 将图像保存到图库中
  image_gallery_saver: ^2.0.3

  # 缩放图像/内容小部件
  photo_view: ^0.15.0

  # 权限处理
  permission_handler: ^11.3.1

  # 获取当前设备信息
  device_info_plus: ^10.1.0

  # 查询应用程序包信息
  package_info_plus: ^8.0.0

  # Android 设备上设置壁纸。支持主屏幕、锁屏和双屏模式
  #  async_wallpaper: ^2.0.3

  # 纯 Dart 编写的轻量级且速度极快的键值数据库
  hive: ^2.2.3
  hive_flutter: ^1.1.0

  # WebView
  webview_flutter: ^4.7.0

  # 下拉刷新、上拉加载
  easy_refresh: ^3.4.0

  # 分享
  share_plus: ^9.0.0

  # AppLovin
  applovin_max: ^3.10.0

  # 网络状态监听
  connectivity_plus: ^6.0.3

  # 二维码扫描
  qr_flutter: ^4.0.0

  # 加载动画
  loading_animation_widget: ^1.2.1

  # 轮播图
  flutter_swiper_view: ^1.1.8

  # 图片查看
  photox_pro: ^0.2.6

  # 持久化存储
  shared_preferences: ^2.2.1

  # 设置壁纸
  wallpaper_handler: ^0.0.2

  # 提示框
  bot_toast: ^4.1.3

  # 翻转卡片
  flip_card: ^0.7.0
  app_tracking_transparency: ^2.0.5
  gradient_borders: ^1.0.1

  # Firebase
  firebase_core: ^2.32.0
  firebase_analytics: ^10.10.7
  firebase_crashlytics: ^3.5.7

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/icon/icon_app.png"
  min_sdk_android: 21 # android min sdk min:16, default 21

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0
  hive_generator: ^2.0.1
  build_runner: ^2.4.9
  flutter_launcher_icons: ^0.13.1
flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/icon/
    - assets/json/
    - assets/avatar/
    - assets/category/